<?php
	
require_once "mbox.php";
require_once "Mail/mimeDecode.php";
require_once "config.php";

$css = <<<EOF
<style type="text/css">
body {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt; font-weight: bold; background-color: #D3DCE3;}
td {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt;}
test.td {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt;}
form {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt}
h1 {  font-family: Arial, Helvetica, sans-serif; font-size: 16pt; font-weight: bold}
A:link {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: blue}
A:visited {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: blue}
A:hover {  font-family: Arial, Helvetica, sans-serif; font-size: 10pt; text-decoration: none; color: red}
A:link.nav {  font-family: Arial, Helvetica, sans-serif; color: #000000}
A:visited.nav {  font-family: Arial, Helvetica, sans-serif; color: #000000}
A:hover.nav {  font-family: Arial, Helvetica, sans-serif; color: red;}
.nav {  font-family: Arial, Helvetica, sans-serif; color: #000000}
</style>
EOF;

$mbox = &new Mail_Mbox();
$mid = $mbox->open($mbox_file);
$spambox = &new Mail_Mbox();
$spambox_file = $tmp_dir."/trainspambox".uniqid("");
$f = fopen($spambox_file, "w+");
fclose($f);
chmod($spambox_file, 0666);
$spamid = $spambox->open($spambox_file);

if (is_object($mid)) {
   die("Can't open mbox file.");
}
if (is_object($spamid)) {
   die("Can't open spambox file.");
}

if ($mbox->size($mid) == 0) {
   print "No message found";
}

echo "$css";
$count = 0;
$msgs = array();

for ($x = $mbox->size($mid) - 1; $x >= 0; $x--)
{
   $thisMessage     = $mbox->get($mid,$x);
   $uid = md5($thisMessage);
   if (array_key_exists("msg_".$uid, $HTTP_POST_VARS) &&
       $HTTP_POST_VARS["msg_".$uid] == "on") {
      /* this message is to be marked as spam */
      $res = $spambox->insert($spamid, $thisMessage);
      if (PEAR::isError($res))
	 {
	    print $res->getMessage();
	 }
      /* save msg number for deletion later */
      $msgs[$count++] = $x;
   }
}
$spambox->close($spamid);

/* run sa-learn on file */
echo "Running sa-learn on $spambox_file:<br>";
$command = "$salearn --spam --showdots --mbox $spambox_file";
$data = `$command`;
echo $data."<br>";

echo "Removing $spambox_file... ";
unlink($spambox_file);
echo "done.<br>";

if ($submit == "train as spam and delete") {
   echo "Deleting spam mesages:<br>";
   for ($i = 0; $i < $count; $i++) {
      echo "Message ".$msgs[$i].": ";
      $res1 =  $mbox->remove($mid,$msgs[$i]);
      if (PEAR::isError($res1))
	 {
	    print $res1->getMessage();
	 }
      echo "done.<br>";
   }
} else {
   echo "Finished.";
}

echo "<p><a href=\"index.php\">return to message list</a>";

?>
